/*AUTHENTICATION PAGES*/
.auth-page {
    margin: auto;
    width: 32%;
    min-height: 596px;
    height: 100%;
    text-align: center;
    background-color: dimgray;
    padding: 20px 30px;
    box-shadow: 0px 0px 10px 0px black;
}

/*AUTH_PAGE HEADERS LINKS*/
.auth-page h1, .auth-page h5, .auth-page a {
    color: whitesmoke;
    margin: 5px;
    font-variant: petite-caps;
}

.auth-page a:focus, .auth-page a:hover {
    outline: none;
    color: darkgray;
    text-decoration: none;
}

/*AUTH_PAGE BRIEFING*/
.auth-page h6 {
    color: dimgrey;
    text-align: center;
    font-size: 12px;
    width: 95%;
    margin: auto auto 10px;
}

/*LOGIN PAGE FORGOT-PASSWORD RESET-PASSWORD*/
.login-page, .reset-password, .forgot-password {
    min-height: 0px;
    border-radius: 20px;
}

.login-page {
    margin-top: 100px;
}

.login-page form {
    margin-top: 20px;
}

.forgot-password {
    margin-top: 150px;
}

.reset-password {
    margin-top: 120px;
}

.content-wrapper {
    position: absolute;
    top: 50px;
    width: 100%;
    background-color: #e9ecef;
    text-align: center;
    font-family: sans-serif;
}

.main-content {
    position: relative;
    margin: 10px;
    left: 17%;
    width: 81.5%;
    min-height: 520px;
    border-radius: 10px;
}

.information-needed {
    color: gray;
    font-variant-caps: petite-caps;
    font-size: 30px;
    margin: 50px 0px;
}

.information-needed i {
    font-size: 40px;
    color: red;
    font-variant-caps: petite-caps;
    font-style: normal;
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background-color: transparent;
    box-shadow: inset 0px 0px 5px 0px grey;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    background-color: grey;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
    background-color: darkgrey;
}

:link {
    text-decoration: none;
}

:link:focus {
    outline: none;
    text-decoration: none;
}

.loader-wrapper {
    position: fixed;
    top: 0;
    z-index: 999;
    height: 625px;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.2);
}

.loader {
    border-top: 10px solid slateblue;
    border-right: 10px solid mediumslateblue;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    animation: spin 1s linear infinite;
    margin: 263px auto auto;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.noselect {
    -webkit-touch-callout: none;
    /* iOS Safari */
    -webkit-user-select: none;
    /* Safari */
    -khtml-user-select: none;
    /* Konqueror HTML */
    -moz-user-select: none;
    /* Old versions of Firefox */
    -ms-user-select: none;
    /* Internet Explorer/Edge */
    user-select: none;
    /* Non-prefixed version, currently
       supported by Chrome, Edge, Opera and Firefox */
}

.No-Data {
    text-align: center;
    font-size: 22px;
    margin: 0;
    padding: 0;
    color: darkgrey;
}
.No-Data::before{
    content: "NO DATA TO SHOW";
}

.upload-image::before{
    content: '+';
    font-size: 30px;
}
.upload-image{
    padding-top: 24px;
    color: darkgray;
    border: 1px dashed darkgrey;
    height: 100px;
    width: 100px;
    margin: auto;
    cursor: pointer;
    transition: 0.5s;
    border-radius: 5px;
}
.upload-image:hover{
    color: dimgrey;
    border: 1px dashed grey;
    padding-top: 34px;
}
.upload-image:hover::before{
    content: 'UPLOAD';
    font-size: 18px;
}

.ant-modal-title{
    font-variant: all-small-caps;
    font-size: 22px;
    text-align: center;
}

.error-message{
    color: #ff4d4f;
    margin: 0;
    font-size: 20px;
    font-variant-caps: all-small-caps;
}